using System;

public static class frelenc
{
    internal static void Main()
    {
        double n;
        n = double.Parse(Console.ReadLine());
        double[] a = new double[20000];
        double[] p = new double[20000];
        double max = 0;
        for (int i = 0; i < n; i++)
        {
            string[]s = Console.ReadLine().Split();
            a[i] = double.Parse(s[0]);
            p[i] = double.Parse(s[1]);
        }
        for (int i = 0; i < n; i++)
        {
            double m = 0;
            for (int j = 0; j < n; j++)
            {
                if (p[i] < p[j])
                {
                    m += a[j];
                }
            }
            double x = m * p[i] / 100;
            if (x > max)
            {
                max = x;
            }
        }
        Console.WriteLine(max);
    }

}